Package org.apache.sysds.hops.rewrite

## Class RewriteFederatedExecution.PrivacyConstraintRetriever

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederatedUDF
  - - org.apache.sysds.hops.rewrite.RewriteFederatedExecution.PrivacyConstraintRetriever

- All Implemented Interfaces:
    `Serializable`, `LineageTraceable`
  Enclosing class:
    RewriteFederatedExecution

      public static class RewriteFederatedExecution.PrivacyConstraintRetriever
      extends FederatedUDF

  FederatedUDF for retrieving privacy constraint of data stored in file name.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrivacyConstraintRetriever​(String filename)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FederatedResponse` | `execute​(ExecutionContext ec, Data... data)` | Reads metadata JSON object, parses privacy constraint and returns the constraint in FederatedResponse.
    `org.apache.commons.lang3.tuple.Pair<String,​LineageItem>` | `getLineageItem​(ExecutionContext ec)` | Obtain lineage trace of an instruction with a single output.

    - ### Methods inherited from class org.apache.sysds.runtime.controlprogram.federated.FederatedUDF

      `getInputIDs, getOutputIds`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

      `getLineageItems, hasSingleLineage`

- - ### Constructor Detail

    - #### PrivacyConstraintRetriever

          public PrivacyConstraintRetriever​(String filename)

  - ### Method Detail

    - #### execute

          public FederatedResponse execute​(ExecutionContext ec,
                                           Data... data)

      Reads metadata JSON object, parses privacy constraint and returns the constraint in FederatedResponse.
      Specified by:
        `execute` in class `FederatedUDF`
      Parameters:
        `ec` - execution context
        `data` - one or many data objects
      Returns:
        FederatedResponse with privacy constraint object

    - #### getLineageItem

          public org.apache.commons.lang3.tuple.Pair<String,​LineageItem> getLineageItem​(ExecutionContext ec)

      Description copied from interface: `LineageTraceable`
      Obtain lineage trace of an instruction with a single output.
      Parameters:
        `ec` - execution context w/ live variables
      Returns:
        pair of (output variable name, output lineage item)